<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/bg01.jpg">
 <tr><td background="images/bg01.jpg">
  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/bg.jpg);
	background-repeat: repeat-x;
	background-position: center top; ">
    <tr>
      <td height="100%" align="center" valign="top" style="padding: 65px;">
	  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="38"><img src="images/00_03.gif" width="38" height="247" alt="" /></td>
          <td align="left" background="images/00_05.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td height="247" style="background-image: url(images/00_04.gif);
	background-repeat: no-repeat;
	background-position: left bottom; "><table width="100%" height="95"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="100%" height="247" align="left" valign="bottom" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right bottom; "><table border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td height="130">
	<!-- LOGO -->
					  <table border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td colspan="2" style="padding-bottom:6px"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                        </tr>
                        <tr>
                          <td width="34" height="40"></td>
                          <td align="left"><span class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span>
						  <br/><span class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span></td>
                        </tr>
                      </table>
<!-- END LOGO -->
					  </td>
                    </tr>
                    <tr>
                      <td height="30"></td>
                    </tr>
                    <tr>
                      <td height="30" align="left" valign="middle">
					<table cellpadding="0" cellspacing="0" border="0">
				<tr>
				<td style="padding-left: 5px;"><img src="images/aa.gif" border="0" alt=""/></td>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					
		  		</tr>
			</table>
					  
					  </td>
                    </tr>
                    <tr>
                      <td height="50"></td>
                    </tr>
                  </table></td>
                </tr>
              </table></td>
            </tr>
          </table></td>
          <td align="center" background="images/00_07.gif"  width="237">
<!-- MENU -->
		  <table width="178" border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="TOP-MENU"/>
            </table>
<!-- END MENU -->
			</td>
        </tr>
        <tr>
          <td valign="top" background="images/00_15.gif"><img src="images/00_09.gif" width="38" height="270" alt="" /></td>
          <td  width="100%" height="100%" valign="top" bgcolor="#FFFFFF" style="padding-right: 20px;">
		<!-- CONTENT -->
			<div style="width:0px; height:8px;"><span></span></div>
	   		<table width="100%" height="100%">
	   		  <tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		  </tr></table>
			<!-- END CONTENT -->
		  </td>

          <td valign="top" style="background-image: url(images/00_12.jpg);
	background-repeat: repeat-y;
	background-position: left;">
		  <table width="100%" height="127"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td height="350" valign="top" style="background-image: url(images/00_14.gif);
	background-repeat: no-repeat;
	background-position: left bottom; "><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td height="18"><img src="images/00_11.gif" width="237" height="45" alt="" /></td>
                </tr>
                <tr>
                  <td align="left" valign="top">
				<br/> 
<!-- SUBMENU -->
				  <table width="172" border="0" cellspacing="0" cellpadding="0">
                   <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                  </table>
<!-- END SUBMENU -->
				  </td>
                </tr>
              </table></td>
            </tr>
          </table></td>
        </tr>
        <tr>
          <td><img src="images/00_16.gif" width="38" height="45" alt="" /></td>
          <td align="right" background="images/00_18.gif"><img src="images/00_20.gif" width="225" height="45" alt="" /></td>
          <td align="left"><img src="images/00_21.gif" width="237" height="45" alt="" /></td>
        </tr>
<tr align="center">
          <td height="40">
</td>
<td>
<!-- BOOTTOM MENU -->
<br/>
		  <table border="0" cellspacing="0" cellpadding="0">
            <tr>
               <xsl:call-template name="BOTTOM-MENU"/>
            </tr>
          </table>
<!-- END BOOTTOM MENU -->
</td>  
</tr>
<tr align="center">
  <td height="20" colspan="3">
<!-- FOOTER -->
	<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!-- END FOOTER -->
  </td>
</tr>
</table>
</td>
</tr>
  </table>
</td></tr></table>
</center>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
  <tr>
    <td width="11" height="26"></td>
    <td width="10"><img src="images/0.gif" width="3" height="5" /></td>
    <td class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
 </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
  <tr>
    <td width="11" height="26"></td>
    <td width="10"><img src="images/0.gif" width="3" height="5" /></td>
    <td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
 </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
             <tr>
                <td height="2" colspan="3" background="images/11.gif" align="left"><div style="width:1px; height:2px;"><span></span></div></td>
            </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
	  <td width="20" align="center"><img src="images/b.gif" width="5" height="5" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
