<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/bj.gif">
  <tr>
    <td height="25"></td>
  </tr>
  <tr>
    <td height="50" align="center" valign="top" bgcolor="#838786"><table width="100%" height="1"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
      <tr>
        <td></td>
      </tr>
    </table>
      <table height="49"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="30"></td>
          <xsl:call-template name="TOP-MENU"/>
          <td width="30"></td>
        </tr>
      </table></td>
  </tr>
  <tr>
    <td height="232" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="180" align="left" background="images/logobg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="10"></td>
          </tr>
          <tr>
            <td height="52" align="center" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
          </tr>
          <tr>
            <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td height="4"></td>
          </tr>
          <tr>
            <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
        <td width="1" bgcolor="#FFFFFF"></td>
        <td align="left" valign="top" background="images/headers2.gif"><img src="images/headers1.gif" width="586" height="232"/></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="46" align="left" valign="top"><table width="100%" height="46%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="180" height="45" align="left" valign="top" bgcolor="#838786">
		<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/table_left_top_image.gif);background-repeat: no-repeat;background-position: left top;">
          <tr>
            <td height="100%" align="left" valign="top">
			<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/line_02.gif);background-repeat: no-repeat;background-position: right bottom;">
              <tr>
                <td height="100%"></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        <td width="300" align="left" valign="top" bgcolor="#838786"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="1" bgcolor="#FFFFFF"></td>
            <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/table_left_top_image.gif);background-repeat: no-repeat;background-position: left top;">
              <tr>
                <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/line_02.gif);background-repeat: no-repeat;background-position: right bottom;">
                    <tr>
                      <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td height="45" class="text-header" style="padding-left:21px;padding-right:21px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                        </tr>
                      </table></td>
                    </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        <td align="left" valign="top" height="100%" background="images/table_bjimage.gif">
		<table width="100%" height="46"  border="0" cellpadding="0" cellspacing="0" background="images/table_bjimage.gif">
          <tr>
            <td width="1" bgcolor="#FFFFFF"></td>
            <td height="46" width="100%" align="left" valign="top" background="images/table_bjimage.gif">
			<table width="100%" height="46"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/table_left_top_image.gif);background-repeat: no-repeat;background-position: left top;">
                <tr>
                  <td height="46" align="left" valign="top" style="background-image: url(images/line_02.gif);background-repeat: no-repeat;background-position: right bottom;"></td>
                </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/table_left_top_image.gif);background-repeat: no-repeat;background-position: left top;">
      <tr>
        <td width="180" align="center" valign="top" style="background-image: url(images/line_02.gif);background-repeat: no-repeat;background-position: right bottom;"><img src="images/space.gif" width="180" height="10"/>
          <table width="150" border="0" cellspacing="0" cellpadding="0">
            <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
          </table>
		</td>
        <td height="100%" align="left" valign="top" bgcolor="#F3F3F3" class="pageContent"><img src="images/space.gif" width="560" height="10"/>
          <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td style="padding:8px 21px 30px 21px;" width="100%" height="100%" align="left" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
            </tr>
          </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="1" bgcolor="#FFFFFF"></td>
  </tr>
  <tr>
    <td height="60" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="180" height="100%" align="left" valign="top" bgcolor="#838786"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/table_left_top_image.gif);background-repeat: no-repeat;background-position: left top;">
          <tr>
            <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        <td height="100%" align="left" valign="top" background="images/table_bjimage.gif">
		<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/table_left_top_image.gif);background-repeat: no-repeat;background-position: left top;">
          <tr>
            <td align="center"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
               <xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td class="smenu" height="46" style="background-image: url(images/left_menua.gif);background-repeat: no-repeat;background-position: left top;">
<span class="smenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>
</td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td class="smenu" height="46">
<a href="{@HREF}" class="smenua"> 
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</a>
</td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td height="1" background="images/left_menu.gif"></td>
</tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		<td><a href="{@HREF}" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td><span class="bmenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
		<td><a href="{@HREF}" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td width="40"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
