<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>


<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/background.gif">
  <tr>
    <td width="22"><div style="width:22px;height:1px;"></div></td>
    <td  width="100%" height="49" valign="bottom" style="padding-right:18px">
	<table width="100%" height="49"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/header_1.jpg);background-repeat:no-repeat; background-position:right bottom; ">
        <tr>
          <td height="49"><!-- MENU -->
              <table  height="49" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="30"></td>
                  <xsl:call-template name="TOP-MENU"/>
				</tr>
              </table>
              <!-- END MENU -->
          </td>
          <td width="15"></td>
        </tr>
    </table>
	</td>
    <td width="22"><div style="width:22px;height:1px;"></div></td>
  </tr>
  
  <tr>
    <td></td>
    <td  width="100%" valign="top">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
			<tr>
			  <td width="17" background="images/header_1_06.jpg" align="left"><img src="images/header_3.jpg"/></td>
			  <td width="100%" background="images/header_5.jpg">
				  <!-- LOGO -->
				  <table border="0" cellspacing="0" cellpadding="0" style="width:259px;height:222px;background-image: url(images/header_6.jpg);background-repeat:no-repeat; background-position:left top; ">
				  <tr>
					  <td><table width="250"  border="0" cellspacing="0" cellpadding="0">
					<tr>
					  <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
					</tr>
					<tr>
					  <td align="center"><img src="images/space.gif" border="0" width="250" height="14"/></td>
					</tr>
					<tr>
					  <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
					</tr>
					<tr>
					  <td><div align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
					</tr>
				  </table></td>
					</tr>
				  </table>
				  <!-- END LOGO -->
			  </td>
			  <td width="443" height="222" background="images/header_5.jpg" align="right"><img src="images/header_2.jpg"/></td>
			  <td width="17" align="right"><img src="images/header_4.jpg"/></td>
			</tr>
		</table>
	</td>
    <td></td>
  </tr>
  
  <tr>
    <td></td>
    <td  width="100%" height="100%" valign="top">
      <table width="100%" height="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td width="8"  height="10"><img src="images/3.gif"/></td>
          <td width="205" background="images/line_4.gif"></td>
          <td width="8"><img src="images/5.gif"/></td>
          <td width="10"><img src="images/6.gif"/></td>
          <td width="100%" background="images/line_7.gif"></td>
          <td width="10"><img src="images/8.gif"/></td>
        </tr>
        <tr>
          <td width="8" style="background-image:url(images/line_10.gif);background-repeat:repeat-y;"></td>
          <td valign="top" background="images/submenu_bg.gif">
		  	<!-- SUBMENU -->
              <table width="205"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="27"></td>
                  <td width="151"></td>
                  <td width="27" height="25"></td>
                </tr>
                <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>
              </table>
              <!-- END SUBMENU -->
          </td>
          <td style="background-image:url(images/line_12.gif);background-position:right;background-repeat:repeat-y;"></td>
          <td width="10" style="background-image:url(images/line_13.gif);background-repeat:repeat-y;"></td>
          <td height="100%" valign="top" background="images/pagecount_bg.gif">
		  	<!-- CONTENT -->
              <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td height="356" valign="top" style="padding-top: 30px;padding-left: 30px;">
				  <table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/><img src="images/text_header.gif" align="absmiddle"/></td>
                      </tr>
                    </table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
                </tr>
              </table>
              <!-- END CONTENT -->
          </td>
          <td background="images/line_15.gif"></td>
        </tr>
        <tr>
          <td><img src="images/16.gif"/></td>
          <td background="images/line_17.gif"></td>
          <td><img src="images/18.gif"/></td>
          <td><img src="images/19.gif"/></td>
          <td background="images/line_16.gif"></td>
          <td><img src="images/21.gif"/></td>
        </tr>
      </table>	
	</td>
    <td></td>
  </tr>
  
  <tr>
    <td></td>
    <td><br/>
	<table width="100%"  border="0" cellspacing="10" cellpadding="0">
        <tr>
          <td><!-- BOTTOM MENU -->
              <table  border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
                  <xsl:call-template name="BOTTOM-MENU"/>
                </tr>
              </table>
              <!-- END BOTTOM MENU -->
          </td>
        </tr>
        <tr>
          <!-- FOOTER -->
          <td><div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
          <!-- END FOOTER -->
        </tr>
    </table><br/>
	</td>
    <td></td>
  </tr>
  
</table>
</body>
</html>






</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	               <tr>
                    <td></td>
                    <td class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                    <td width="28" height="32"><div align="center"><img src="images/submenu_bullet.gif"/></div></td>
                  </tr>
	  
		</xsl:when>
		
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
     
	             <tr>
                    <td></td>
                    <td class="smenu"><a href="{@HREF}" class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                    <td height="32"><div align="center"><img src="images/submenu_bullet.gif"/></div></td>
                  </tr>
	  
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	
	<xsl:if test="position()!=last()">
                <tr>
                    <td></td>
                     <td colspan="2" background="images/submenu_line.gif" height="1"></td>                   
				 </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
       <td class="bmenu"><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </div></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
                <td class="bmenua"><div align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
           </xsl:when>
           <xsl:otherwise>
               <td class="bmenu"><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </div></td>


           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
                <td class="iconfoot"><img src="images/bmenu_bullet.gif"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

