<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
            <tr>
              <td width="162" align="left" style="padding-left: 16px;"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              <td width="18" height="20" align="center"><img src="images/bullet.gif" /></td>
            </tr>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			    	<tr>
              <td height="20" colspan="2" align="left" style="padding-left: 16px;" bgcolor="#CC95CC" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </tr>
			
           
            </xsl:when>
            <xsl:otherwise>
        <tr>
              <td width="162" align="left" style="padding-left: 16px;"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              <td width="18" height="20" align="center"><img src="images/bullet.gif" /></td>
            </tr>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
			  <tr>
              <td height="1" colspan="2" bgcolor="#FFFFFF"></td>
              </tr>
			  <tr>
              <td height="1" colspan="2" bgcolor="#E5E4E3"></td>
              </tr>
			  <tr>
              <td height="1" colspan="2" bgcolor="#FFFFFF"></td>
              </tr>
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
