<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;">
<table width="100%" height="100%"  border="0" align="center" cellpadding="0" cellspacing="0" style="background-image: url('images/main_bg.gif');">
  <tr>
    <td height="86"  style="background-image: url('images/header_bg2.gif');background-repeat: repeat;">
	<table width="100%" height="86" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/header_bg.gif');background-repeat: repeat-x;">
      <tr>
        <td width="27%" align="center" class="logo">
		<!-- LOGO -->
          <table border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="20" valign="middle"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
            <td align="left" class="logowordtop"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
          </tr>
        </table><!-- END LOGO --></td>
        <td width="73%" align="center">
		<!-- MENU -->
          <table align="center" cellpadding="0" cellspacing="0">
            <tr>
<xsl:call-template name="TOP-MENU"/>
            </tr>
          </table>
          <!-- END MENU -->
		  </td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="2" bgcolor="#DEDEDE"><img src="images/fg.gif" width="20" height="2" /></td>
  </tr>
  <tr>
    <td height="291" align="center" style="padding-left:14px;padding-right:14px;"><div style="height:15px;width:px;"></div>
      <table width="100%" height="276" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td style="background-image: url('images/header_bg.jpg');ackground-position: left; background-repeat: repeat;">
		  <table width="100%" height="276" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td style="background-image: url('images/header.jpg');background-position: left; background-repeat: no-repeat;">
			  <table width="100%" height="276" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td align="right" style="background-image: url('images/header_bg2.jpg');background-position: right; background-repeat: no-repeat;padding-right:35px;">
				  <table border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="230" class="slogan"  align="right" style="padding-right:10px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            <td width="40" align="left"><img src="images/slogan.gif" /></td>
          </tr>
        </table></td>
                </tr>
              </table></td>
            </tr>
          </table></td>
        </tr>
      </table></td>
  </tr>
  <tr>
    <td width="100%" height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="262" align="center" valign="top" >
<br/>
 <div style="height:8px; width:262px;"><span></span></div>
		<table width="240" border="0" cellspacing="0" cellpadding="0" style="background-image: url('images/submenu_bg2.gif'); background-position: right bottom; background-repeat: no-repeat;">
          <tr>
            <td>
			<table width="232" height="35" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/submenu_bg.gif');background-repeat: repeat;">
              <tr>
                <td align="center" valign="bottom">
				<img src="images/submenu_top.gif" width="17" height="21"/></td>
              </tr>
            </table>
            <table width="232" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td align="center" style="background-image: url('images/submenu_bg.gif');background-repeat: repeat;">
			    <!-- SUBMENU -->
                  <table cellpadding="0" cellspacing="0" width="185">
				 <tr>
                    <td colspan="3" height="5"></td>
                  </tr>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                </table>
                <!-- END SUBMENU --></td>
              </tr>
            </table><div style="height:30px;width:px;"></div></td>
          </tr>
        </table>
<br/>
		</td>
        <td valign="top" width="100%" height="100%" style="padding: 20px;">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" >
	   		  <tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
			<!-- END CONTENT -->
</td>
      </tr>
    </table></td>
  </tr>
  <tr><td height="1"  background="images/line.gif"><img src="images/line.gif" width="15" height="1" /></td>
  </tr>
  <tr>
    <td height="60"  style="background-image: url('images/submenu_bg.gif');background-repeat: repeat;padding:10px;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="170" align="center" class="logo" style="width:250px;">
          <!-- FOOTER -->
		  <table width="200" border="0" cellpadding="0" cellspacing="0" class="copyright" style="width:200px;">
            <tr>
              <td align="center"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</td>
            </tr>
          </table>
          <!-- END FOOTER -->
		
		</td>
        <td width="1" bgcolor="#CCCCCC"><div style="height:25px;width:1px;"></div></td>
        <td width="100%" align="center"><!-- BOTTOM MENU -->
              <table cellpadding="0" cellspacing="0">
                <tr>
<xsl:call-template name="BOTTOM-MENU"/>
				</tr>
              </table>
          <!-- END BOOTTOM MENU --></td>
      </tr>
    </table>
    </td>
  </tr>
</table>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
                  <tr>
                    <td height="25" class="submenu-bg" style="width: 15px;"></td>
                    <td height="30" class="submenu-bg" style="padding-left: 1px; align:left;"><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                    <td height="25" align="center" class="submenu-bg" style="padding-right: 10px;"><img src="images/submenu_bullet_2.gif" width="5" height="11"/></td>
                  </tr>
                  <tr>
                    <td colspan="3" height="5"></td>
                  </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
                  <tr>
                    <td height="25" style="width: 15px;"></td>
                    <td height="30" style="padding-left: 1px; align:left;"><span class="menu"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></span></td>
                    <td height="25" align="center" class="submenu" style="padding-right: 10px;"><img src="images/submenu_bullet_1.gif" width="5" height="11"/></td>
                  </tr>
                  <tr>
                    <td colspan="3" height="5"></td>
                  </tr>			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
                   <td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
                   <td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </xsl:when>
           <xsl:otherwise>
                   <td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td><div style="height:2px;width:10px;"></div></td>
		<td class="bmenu">|</td>
		<td><div style="height:2px;width:10px;"></div></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
