<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
		   <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
<td align="left" valign="top"><img src="images/bullet.gif" width="24" height="49"/></td>
<td class="tmenu"><a href="{@HREF}" class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
<td width="24" align="left" valign="top"><img src="images/bullet2.gif" width="24" height="49"/></td>
<td background="images/t_menua.gif" class="tmenu"><span class="tmenu1"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
            </xsl:when>
            <xsl:otherwise>
<td align="left" valign="top"><img src="images/bullet.gif" width="24" height="49"/></td>
<td class="tmenu"><a href="{@HREF}" class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
<td valign="top"><img src="images/menu_line.gif" width="3" height="49"/></td>
	</xsl:if>
	</xsl:template>	
</xsl:stylesheet>
